Permalink
Browse files

Pull out browser shims.

We do not include shims into the browserified version from now on. For support
of oldIEs and other prehistoric browsers one might use [es5-shims][1]. See demo.

[1]: https://github.com/kriskowal/es5-shim
  • Loading branch information...
1 parent 8eb3d5b commit 9d743fab2d09d9947e9e560b97c49874eeac90fe @ixti ixti committed Aug 1, 2012
Showing with 1,116 additions and 259 deletions.
  1. +4 −0 README.md
  2. +1 −0 demo/index.html
  3. +1,108 −0 demo/js/es5-shims.js
  4. +0 −85 demo/js/js-yaml.js
  5. +0 −85 js-yaml.js
  6. +3 −4 js-yaml.min.js
  7. +0 −85 support/browserify/30_extensions.js
View
@@ -69,6 +69,10 @@ var doc = jsyaml.load('greeting: hello\nname: world');
Browser support is still buggy, and mostly done to run online demo. If you
can help to improve browser compatibility and AMD support - rise pull request.
+**Support of oldIEs** and some other prehistoric browsers is possible using
+[es5-shims](https://github.com/kriskowal/es5-shim). Just include shims before
+jsyaml to use it with outdated browsers.
+
## API
View
@@ -8,6 +8,7 @@
<link rel="stylesheet" href="css/codemirror.css">
<link rel="stylesheet" href="css/codemirror.default.css">
<link rel="stylesheet" href="css/demo.css">
+ <script src="js/es5-shims.js"></script>
<script src="js/js-yaml.js"></script>
<script src="js/codemirror.js"></script>
<script src="js/codemirror/yaml.js"></script>
Oops, something went wrong.

0 comments on commit 9d743fa

Please sign in to comment.